If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

PDF Viewer extension update has duplicate entries

RESOLVED INVALID

Status

()

Firefox
PDF Viewer
RESOLVED INVALID
3 years ago
3 years ago

People

(Reporter: Doug Hockin, Unassigned)

Tracking

29 Branch
x86
Mac OS X
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

3 years ago
Created attachment 8430125 [details]
Screen Shot 2014-05-28 at 8.53.19 AM.png

User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:29.0) Gecko/20100101 Firefox/29.0 (Beta/Release)
Build ID: 20140506152807

Steps to reproduce:

Addons|Extensions|View available updates 


Actual results:

Shows the same version of PDF Viewer available for update twice


Expected results:

Should have showed it only once. This is the second time this has happened, i.e. it happened with the last update to PDF viewer as well. Have never seen it happen for any other extension.
I don't see any update available for PDF Viewer, but with an old adblock plus with update available I couldn't reproduce the problem. FF 29.0.1, OS X 10.9.2
Component: Untriaged → PDF Viewer
PDF Viewer will not appear in this list. Please uninstall all development versions of the pdf.js extension  -- it's only used by the beta testers and development team. (Or create a new profile)
Status: UNCONFIRMED → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → INVALID
(Reporter)

Comment 3

3 years ago
In response to another problem I reported some time ago with the PDF viewer I was asked to install the beta test extension and test it there. Since then I do the recommended updates of it and periodically test the problem to see whether it's been fixed. It hasn't so far.
Hi Doug,

This problem is not connected with the builtin PDF Viewer -- it's not an extension and will not be listed in the add-ons or updates for them. Please remove all instances of the PDF.js extension or create a new profile, and install the latest extension from http://mzl.la/pdf-xpi only if you are willing to provide a feedback at https://github.com/mozilla/pdf.js. Thank you for the testing.
You need to log in before you can comment on or make changes to this bug.